Qt 5.7 | Qt 3D | C++ Classes | QNodeCreatedChangeBase

Qt 5.7.1 Reference Documentation

# QNodeCreatedChangeBase Class

(Qt3DCore::QNodeCreatedChangeBase)

The QNodeCreatedChangeBase class is the base class for all NodeCreated QSceneChange events More...

Header: | #include <QNodeCreatedChangeBase>
qmake: | QT += 3dcore
Inherits: | QSceneChange
Inherited By: | Qt3DCore::QNodeCreatedChange

- List of all members, including inherited members

## Public Functions

| QNodeCreatedChangeBase(const QNode *node)
| ~QNodeCreatedChangeBase()
bool | isNodeEnabled() const
const QMetaObject * | metaObject() const
QNodeId | parentId() const

- 4 public functions inherited from Qt3DCore::QSceneChange

## Protected Functions

| QNodeCreatedChangeBase(QNodeCreatedChangeBasePrivate &dd, const QNode *node)

## Related Non-Members

typedef | QNodeCreatedChangeBasePtr

## Detailed Description

The QNodeCreatedChangeBase class is the base class for all NodeCreated QSceneChange events

The QNodeCreatedChangeBase class is the base class for all QSceneChange events that have the changeType() NodeCreated. You should not need to instantiate this class. Usually you should be using one of its subclasses such as QNodeCreatedChange.

You can subclass this to create your own node update types for communication between your QNode and QBackendNode subclasses when writing your own aspects.

## Member Function Documentation

### QNodeCreatedChangeBase::QNodeCreatedChangeBase(const QNode *node)

Constructs a new QNodeCreatedChangeBase with node.

### `[protected]` QNodeCreatedChangeBase::QNodeCreatedChangeBase(QNodeCreatedChangeBasePrivate &dd, const QNode *node)

Copy constructor.

### QNodeCreatedChangeBase::~QNodeCreatedChangeBase()

Destroys the instance of QNodeCreatedChangeBase.

### bool QNodeCreatedChangeBase::isNodeEnabled() const

Returns node enabled.

### const QMetaObject *QNodeCreatedChangeBase::metaObject() const

Returns metaobject.

### QNodeId QNodeCreatedChangeBase::parentId() const

Returns parent id.

## Related Non-Members

### typedef Qt3DCore::QNodeCreatedChangeBasePtr

A shared pointer for QNodeCreatedChangeBase.